%define module	nose
%define name	python-%{module}
%define version	1.1.2
%define release	%mkrel 1

Summary:	Unittest-based testing framework for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.gz
License:	LGPLv2+
Group:		Development/Python
Url:		http://python-nose.googlecode.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	python-sphinx >= 0.6.0
%py_requires -d

%description
nose extends the test loading and running features of unittest, making it easier
to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

These features, and many more, are customizable through the use of plugins.
Plugins included with nose provide support for doctest, code coverage and
profiling, flexible attribute-based test selection, output capture and more.

%prep
%setup -q -n %{module}-%{version}

%install
%__make -C doc/ html

%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} 
%__mkdir -p %{buildroot}%{_mandir}/man1/
%__mv %{buildroot}/usr/man/man1/nosetests.1 %{buildroot}%{_mandir}/man1/
%__lzma -z %{buildroot}%{_mandir}/man1/nosetests.1

%clean
%__rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS CHANGELOG NEWS README.txt lgpl.txt examples/ doc/.build/html
%{_bindir}/*
%{py_sitedir}/*.egg-info
%{py_sitedir}/%{module}
%{py_sitedir}/%{module}*/*
%{_mandir}/man1/nosetests.*


%changelog
* Thu Aug 04 2011 Lev Givon <lev@mandriva.org> 1.1.2-1mdv2011.0
+ Revision: 693250
- Update to 1.1.2.

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2
+ Revision: 668015
- mass rebuild

* Thu Dec 16 2010 Lev Givon <lev@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 622412
- Update to 1.0.0.

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.11.4-2mdv2011.0
+ Revision: 590015
- rebuild for python 2.7

* Mon Jul 12 2010 Lev Givon <lev@mandriva.org> 0.11.4-1mdv2011.0
+ Revision: 551261
- Update to 0.11.4.

* Mon Mar 08 2010 Lev Givon <lev@mandriva.org> 0.11.3-1mdv2010.1
+ Revision: 515634
- Update to 0.11.3.

* Wed Dec 09 2009 Lev Givon <lev@mandriva.org> 0.11.1-1mdv2010.1
+ Revision: 475619
- Update to 0.11.1.

* Tue Jun 23 2009 Lev Givon <lev@mandriva.org> 0.11.0-1mdv2010.0
+ Revision: 388721
- Update to 0.11.0.

* Wed May 06 2009 Lev Givon <lev@mandriva.org> 0.10.4-3mdv2010.0
+ Revision: 372562
- Make package own its own module directory in %%py_sitedir.

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.10.4-2mdv2009.1
+ Revision: 319375
- rebuld for new python

* Tue Dec 16 2008 Lev Givon <lev@mandriva.org> 0.10.4-1mdv2009.1
+ Revision: 314963
- Update to 0.10.4.

* Wed Jun 18 2008 Lev Givon <lev@mandriva.org> 0.10.3-1mdv2009.0
+ Revision: 225981
- Update to 0.10.3.

* Fri May 30 2008 Lev Givon <lev@mandriva.org> 0.10.2-1mdv2009.0
+ Revision: 213479
- Update to 0.10.2.

* Tue Feb 19 2008 Lev Givon <lev@mandriva.org> 0.10.1-2mdv2008.1
+ Revision: 172897
- import python-nose


* Mon Feb 18 2008 Lev Givon <lev@mandriva.org> 0.10.1-1mdv2008.0
- Initial Mandriva package.
